Permalink
Browse files

[Trivial] Bumped API and SDK versions to SDK 27.

  • Loading branch information...
thecosmicfrog committed Jun 20, 2018
1 parent 9761243 commit cbfabf6d9200f6983e930c400fd7204539bc005b
Showing with 36 additions and 24 deletions.
  1. +3 −2 build.gradle
  2. +14 −14 mobile/build.gradle
  3. +7 −7 wear/build.gradle
  4. +12 −1 wear/src/main/AndroidManifest.xml
View
@@ -7,12 +7,13 @@ buildscript {
url 'https://maven.google.com/'
name 'Google'
}
google()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.0.1'
classpath 'com.android.tools.build:gradle:3.1.3'
// Firebase
classpath 'com.google.gms:google-services:3.0.0'
classpath 'com.google.gms:google-services:3.2.1'
// NOTE: Do not place your application dependencies here; they belong
// in the individual module build.gradle files
View
@@ -1,13 +1,13 @@
apply plugin: 'com.android.application'
android {
compileSdkVersion 26
buildToolsVersion '26.0.2'
compileSdkVersion 27
buildToolsVersion '27.0.3'
defaultConfig {
applicationId "org.thecosmicfrog.luasataglance"
minSdkVersion 16
targetSdkVersion 26
minSdkVersion 21
targetSdkVersion 27
versionCode 110
versionName "0.110"
}
@@ -22,16 +22,16 @@ android {
}
dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
compile 'com.android.support:appcompat-v7:26.1.0'
compile 'com.android.support:cardview-v7:26.1.0'
compile 'com.android.support:design:26.1.0'
compile 'com.google.android.gms:play-services-wearable:11.8.0'
compile 'com.squareup.retrofit:retrofit:1.9.0'
compile 'com.android.support:support-v4:26.1.0'
compile 'com.google.android.gms:play-services-maps:11.8.0'
api 'com.google.firebase:firebase-core:11.8.0'
api 'com.google.firebase:firebase-messaging:11.8.0'
api fileTree(include: ['*.jar'], dir: 'libs')
api 'com.android.support:appcompat-v7:27.1.1'
api 'com.android.support:cardview-v7:27.1.1'
api 'com.android.support:design:27.1.1'
api 'com.google.android.gms:play-services-wearable:15.0.1'
api 'com.squareup.retrofit:retrofit:1.9.0'
api 'com.android.support:support-v4:27.1.1'
api 'com.google.android.gms:play-services-maps:15.0.1'
api 'com.google.firebase:firebase-core:16.0.0'
api 'com.google.firebase:firebase-messaging:17.0.0'
}
// Firebase
View
@@ -1,15 +1,15 @@
apply plugin: 'com.android.application'
android {
compileSdkVersion 26
buildToolsVersion '26.0.2'
compileSdkVersion 27
buildToolsVersion '27.0.3'
publishNonDefault true
defaultConfig {
applicationId "org.thecosmicfrog.luasataglance"
minSdkVersion 21
targetSdkVersion 26
targetSdkVersion 27
versionCode 11000
versionName "0.110"
}
@@ -29,8 +29,8 @@ android {
}
dependencies {
compile fileTree(include: ['*.jar'], dir: 'libs')
provided 'com.google.android.wearable:wearable:2.1.0'
compile 'com.google.android.support:wearable:2.1.0'
compile 'com.google.android.gms:play-services-wearable:11.8.0'
api fileTree(include: ['*.jar'], dir: 'libs')
compileOnly 'com.google.android.wearable:wearable:2.3.0'
api 'com.google.android.support:wearable:2.3.0'
api 'com.google.android.gms:play-services-wearable:15.0.1'
}
@@ -1,8 +1,9 @@
<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
xmlns:tools="http://schemas.android.com/tools"
package="org.thecosmicfrog.luasataglance"
android:versionCode="@string/version_code"
android:versionName="@string/version_name" >
android:versionName="@string/version_name">
<uses-permission android:name="android.permission.INTERNET" />
@@ -13,6 +14,16 @@
android:icon="@drawable/ic_launcher"
android:label="@string/app_name"
android:theme="@android:style/Theme.DeviceDefault.Light" >
<!--
https://stackoverflow.com/questions/46611336/
how-to-fix-errorexecution-failed-for-task-appprocessdebugmanifest-version
-->
<meta-data
tools:replace="android:value"
android:name="android.support.VERSION"
android:value="26.0.2" />
<activity
android:name=".activity.MainActivity"
android:label="@string/app_name" >

0 comments on commit cbfabf6

Please sign in to comment.